## gcc-16 16

=== libgcobol/compat/t/Makefile ===
#
# A simple Makefile to demonstrate how the compat/lib programs are used.  
#

COBC = gcobol -g -O0

INCLUDE = ../../posix/cpy  ../../posix/udf 

FLAGS = -dialect mf $(addprefix -I,$(INCLUDE))

COMPAT = $(subst .cbl,.o,$(wildcard ../lib/gnu/*.cbl))

test: smoke 
	./$^

smoke: smoke.cbl $(COMPAT)
	$(ENV) $(COBC) -o $@ \
		$(FLAGS) $(COBCFLAGS) $(LDFLAGS) $^

%.o : %.cbl
	$(ENV) $(COBC) -c -o $@ $(FLAGS) $(COBCFLAGS) $^

% : %.cbl
	$(ENV) $(COBC) -o $@ $(FLAGS) $(COBCFLAGS) $(LDFLAGS) $^

=== libgcobol/posix/bin/Makefile ===
#
# Demonstrate how to generate a new COBOL binding from a man page. 
#

posix-mkdir.cbl:
	man 2 mkdir | ./scrape.awk | \
	../udf-gen -D mode_t=unsigned\ long  > $@~
	@mv $@~ $@

# ... or 

posix-stat-many.scr:
	man 2 stat | col -b | ./scrape.awk > $@~
	@mv $@~ $@

.scr.cbl:
	./udf-gen -D mode_t=unsigned\ long  $^ > $@~
	@mv $@~ $@

=== libgcobol/posix/t/Makefile ===
.SUFFIXES: .scr .cbl

#
# Ensure UDFs compile and run without crashing. 
#

#      COBCFLAGS is defined by the user

COBC = gcobol
LDFLAGS = -L $$(pwd) -Wl,-rpath -Wl,$$(pwd)

TESTS = errno exit localtime stat

# Default target builds the tests
all: $(TESTS)

% : %.cbl
	$(COBC) -o $@ $(COBCFLAGS) -I. -I../cpy -I../udf $(LDFLAGS) $<


exit: ../udf/posix-exit.cbl 

errno: ../udf/posix-mkdir.cbl

stat: ../udf/posix-stat.cbl 

localtime: ../udf/posix-stat.cbl 

# Run the tests
test: $(TESTS)
	@$(foreach P,$(TESTS),echo $(P):; ./$(P);)

clean:
	rm -f *.o $(basename $(wildcard *.cbl))

=== gcc/rust/checks/errors/feature/contrib/Makefile ===
# Copyright (C) 2025 Free Software Foundation, Inc.

# This file is part of GCC.

# GCC is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.

# GCC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with GCC; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.

OUT = ../rust-feature-defs.h

all: $(OUT)

mk-build-dir:
	mkdir -p build

build/parse.c: parse.y mk-build-dir
	$(YACC) $(YFLAGS) -o $@ --defines=build/parse.h $<

build/parse.h: build/parse.c;

build/scan.c: scan.l
	$(LEX) $(LFLAGS) -o $@ -Ca --header-file=build/scan.h $<

build/scan.h: build/scan.c;

build/%.o: build/%.c build/parse.h build/scan.h
	$(CC) $(CFLAGS) -c -Ibuild -o $@ $<

build/feature-extract: build/parse.o build/scan.o
	$(CC) $(LDFLAGS) $(LDLIBS) -o $@ $^

build/download.rs: fetch
	./$< $@

$(OUT): build/feature-extract build/download.rs
	# add copyright header + newline
	echo | \
	    cat copyright-stub.h - | \
	    sed "s/YYYY/$$(date +%Y)/" > build/rust-feature-defs.h
	cat build/download.rs | ./$< >> build/rust-feature-defs.h
	clang-format -i build/rust-feature-defs.h \
	    --style=file:../../../../../../contrib/clang-format
	mv build/rust-feature-defs.h $(OUT)

clean:
	$(RM) -r build

clean-all: clean
	$(RM) $(OUT)

## gcc-16 16-20251123

=== debian/changelog ===
gcc-16 (16-20251123-1) UNRELEASED; urgency=medium

  * Snapshot, taken from the trunk (20251115).
  * Build using amdgcn-tools-21 instead of -19.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Nov 2025 08:54:26 +0100

gcc-15 (15.2.0-8) unstable; urgency=medium

  * Update to git 20251111 from the gcc-15 branch.
    - Fix PR tree-optimization/122012, PR target/99930 (x86),
      PR target/122323 (x86), PR ada/118782 (closes: #749574), PR ada/81087,
      PR c++/122302, PR target/118460 (ARM), PR target/122516 (AVR),
      PR rtl-optimization/122321, PR target/122270 (RISCV, LP: #2126058),
      PR target/122527 (AVR), PR tree-optimization/118012,
      PR tree-optimization/122505, PR tree-optimization/122408,
      PR tree-optimization/122394, PR target/120674 (RISCV),
      PR target/121604 (AArch64), PR target/119079 (x86), PR ada/118208,
      PR c++/122253, PR c++/122421, PR c++/122381, PR c++/122192,
      PR c++/122310, PR fortran/114023, PR fortran/122386,
      PR fortran/122206, PR fortran/107968.
  * Bootstrap using GCC 15.
  * Disable sframe generation for Ubuntu 26.04 LTS.
  * Ignore some bootstrap comparison failures on sh4. Closes: #1119146.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2025 03:02:32 +0100

gcc-15 (15.2.0-7) unstable; urgency=medium

  * Also exclude python3-check-jsonschema build dependency for x32.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 11:45:23 +0200

gcc-15 (15.2.0-6) unstable; urgency=medium

  * Update to git 20251022 from the gcc-15 branch.
    - Fix PR target/122223 (ARM), PR target/121599 (AArch64), PR go/104290,
      PR target/122119 (x86), PR middle-end/122133, PR tree-optimization/122104,
      PR tree-optimization/122213, PR target/121845 (RISCV), PR ada/107536,
      PR c/122188, PR c++/120757, PR libstdc++/122322, PR libstdc++/122062.
  * Limit python3-check-jsonschema dependency to architectures which
    have rustc available. Closes: #1118541.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 09:06:13 +0200

gcc-15 (15.2.0-5) unstable; urgency=medium

  * Update to git 20251009 from the gcc-15 branch.
    - Fix PR target/121602 (AArch64), PR target/121464 (ARM),
      PR target/121749 (AArch64), PR target/121906 (loongarch),
      PR rtl-optimization/121757, PR c++/121801, PR c++/121795, PR c++/97740,
      PR libstdc++/117276, PR target/121742 (RISCV), PR target/121780 (RISCV),
      PR target/121781 (RISCV), PR target/110812 (RISCV),
      PR target/121875 (loongarch), PR tree-optimization/121772,
      PR middle-end/121922, PR c++/121977, PR middle-end/121828,
      PR middle-end/121831, PR middle-end/121453, PR tree-optimization/122016,
      PR tree-optimization/121870, PR tree-optimization/107997,
      PR tree-optimization/121844, PR tree-optimization/121659,
      PR tree-optimization/121527, PR tree-optimization/121370,
      PR target/118280 (microblaze), PR ada/118343, PR ada/117517,
      PR ada/121968, PR c++/122015, PR c++/122019, PR c++/121981,
      PR c++/121524, PR c++/122019, PR c++/122015, PR fortran/121616,
      PR fortran/121939, PR fortran/108581, PR fortran/89092,
      PR libstdc++/121827, PR target/121652 (RISCV), PR target/122187 (AVR).
  * Add build dependency on python3-check-jsonschema, needed for some tests.
  * For Ubuntu 26.04 LTS s390x, bump the baseline to z15.
  * Re-enable running the testsuite.
  * Strip again the executables.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2025 10:16:43 +0200

gcc-15 (15.2.0-4) unstable; urgency=medium

  * Update to git 20250911 from the gcc-15 branch.
    - Fix PR target/121794 (AVR), PR c++/121724, PR libstdc++/110853,
      PR libstdc++/121745, PR target/121794 (AVR), PR libstdc++/120698,
      PR target/121510 (RISCV) LP: #2121522, PR target/81540 (AVR),
      PR target/49857 (AVR), PR fortran/121263.
    - Includes libgphobos build fixes for ppc64el and sparc64.
  * Disable sframe generation for now, until sframe-v3 (binutils 2.46) is
    released. Closes: #1114556.
  * Build gnat again on m68k.
  * Build libgphobos on sparc64.
  * Fix libgphobos scanf decl for ppc64el.
  * Update libgfortran, libga68 and libgphobos symbols files.
  * Disable LTO builds for Debian/riscv64, builders are very slow.
  * Update the gcc-search-prefixed-as-ld patch to find the correct as.
    Still needs an update for collect2.cc. Addresses: #1113854.
  * libstdc++-dev: Fix dependency on libc, when libstdc++ is not built.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2025 06:56:06 +0200

gcc-15 (15.2.0-3) unstable; urgency=medium

  * Update to git 20250903 from the gcc-15 branch.
    - Fix PR bootstrap/118009, PR bootstrap/119089, PR target/121548 (RISCV),
      PR libstdc++/121374, PR libstdc++/121496, PR libstdc++/121097,
      PR libstdc++/120390.
  * Add two patches for newlib amdgcn:
    - amdgcn, libm: Fix infinite loop.
    - amdgcn, libm: Fix vector ilogb bugs (bug 33272).
  * ga68, gcobol: Depend on libc-dev.
  * Build full libgphobos on ppc64el for IEEE long double.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 01:35:42 +0200

gcc-15 (15.2.0-2) unstable; urgency=medium

  * Update to git 20250828 from the gcc-15 branch.
    - Fix PR rtl-optimization/120983, PR target/121634 (loongach),
      PR target/121608 (AVR), PR target/121534 (RISCV),
      PR target/121118 (AArch64), PR rtl-optimization/121253,
      PR target/120986 (AArch64), PR target/120986 (AArch64),
      PR target/121449 (AArch64), PR target/121542 (loongarch),
      PR target/121414 (AArch64), PR target/121294 (AArch64),
      PR rtl-optimization/120718, PR target/121007, PR target/119830 (RISCV),
      PR target/121208 (x86), PR target/120476 (loongarch), PR c++/120499,
      PR c++/121351, PR libgcc/117600, PR libfortran/121234,
      PR libstdc++/121313, PR libstdc++/119861.
  * Configure for the build variant on Ubuntu.
  * Enable sframe generation with binutils 2.45 on amd64 and arm64 (pass


=== debian/control ===
Source: gcc-16
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>,
  libc6.1-dev (>= 2.23-1~) [alpha ia64] | libc0.3-dev (>= 2.23-1~) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.23-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
  linux-libc-dev [m68k],
  m4, libtool, autoconf2.69,
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
  gawk, lzma, xz-utils, patchutils,
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any],
  binutils:native (>= 2.39), binutils-hppa64-linux-gnu:native (>= 2.39) [hppa amd64 i386 x32],
  gperf, bison, flex,
  gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools-21 [amd64],
  texinfo, locales-all, sharutils,
  procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, python3-pytest [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, python3-check-jsonschema [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, coreutils, chrpath, lsb-release, quilt, time,
  pkgconf, libgc-dev,
  g++-16-for-host <cross>, gobjc-16-for-host [!avr] <cross>, gfortran-16-for-host <cross>, gdc-16-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-16-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-16-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-16-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-16-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-16-for-host <cross>,
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest
Rules-Requires-Root: binary-targets

Package: gcc-16-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1
X-DH-Build-For-Type: target
Architecture: any
Section: libs
Depends: gcc-16-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1 (= ${gcc:EpochVersion}),
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
XB-Important: yes
Protected: yes
Breaks: ${libgcc:Breaks}
Replaces: libgcc1 (<< 1:10)
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc-s2
X-DH-Build-For-Type: target
Architecture: m68k
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
XB-Important: yes
Protected: yes
Depends: gcc-16-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc2 (= ${gcc:EpochVersion}),
Breaks: ${libgcc:Breaks}
Replaces: libgcc2 (<< 1:10)
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc-s4
X-DH-Build-For-Type: target
Architecture: hppa
Multi-Arch: same
XB-Important: yes
Protected: yes
Pre-Depends: ${misc:Pre-Depends}
Provides: libgcc4 (= ${gcc:EpochVersion})
Breaks: ${libgcc:Breaks}
Replaces: libgcc4 (<< 1:10)
Section: libs
Depends: gcc-16-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc-16-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
 ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},
 ${dep:libtsan}, ${dep:libubsan}, ${dep:libhwasan}, ${dep:libvtv},
 ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libtsan2 (<< 12-20211113-2~)
Replaces: libtsan2 (<< 12-20211113-2~)
Multi-Arch: same
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib64gcc-s1
X-DH-Build-For-Type: target
Architecture: i386 powerpc sparc s390 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
Section: libs
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Breaks: lib64gcc1 (<< 1:10)
Replaces: lib64gcc1 (<< 1:10)
Description: GCC support library (64bit)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib64gcc-16-dev
X-DH-Build-For-Type: target
Architecture: i386 powerpc sparc s390 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (64bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc-s1
X-DH-Build-For-Type: target
Architecture: amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
Section: libs
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Breaks: lib32gcc1 (<< 1:10)
Replaces: lib32gcc1 (<< 1:10)
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib32gcc-16-dev
X-DH-Build-For-Type: target
Architecture: amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libn32gcc-s1
X-DH-Build-For-Type: target
Architecture: mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el
Section: libs
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Breaks: libn32gcc1 (<< 1:10)
Replaces: libn32gcc1 (<< 1:10)
Conflicts: lib32gcc-s1 [amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mipsn32r6 mipsn32r6el]
Description: GCC support library (n32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libn32gcc-16-dev
X-DH-Build-For-Type: target
Architecture: mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (n32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libx32gcc-s1
X-DH-Build-For-Type: target
Architecture: amd64 i386
Section: libs
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Breaks: libx32gcc1 (<< 1:10)
Replaces: libx32gcc1 (<< 1:10)
Description: GCC support library (x32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libx32gcc-16-dev
X-DH-Build-For-Type: target
Architecture: amd64 i386
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-16-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (x32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-16-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: cpp-16-alpha-linux-gnu (= ${gcc:Version}), gcc-16-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-alpha-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-16-doc (>= ${gcc:SoftVersion}),
 gcc-16-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-alpha-linux-gnu
Description: GNU C compiler for the alpha-linux-gnu architecture
 This is the GNU C compiler for the alpha-linux-gnu architecture,

## gcc-16 16-20251130

=== debian/changelog ===
gcc-16 (16-20251130-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20251130).
  * Build using amdgcn-tools-21 instead of -19.
  * Update build dependencies for gcobol.
  * Disable profiled build on armhf. See PR target/121821, PR target/122815.
  * Update libga68, libgfortran, libgomp and libstdc++ symbols files.
  * Explicitly bump the libgphobos soname.
  * Refresh patches.
  * Fix some lintian warnings, override some more.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Nov 2025 15:14:37 +0100

## gcc-16 16-20251202

=== debian/changelog ===
gcc-16 (16-20251202-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20251202).
  * Install Algol-68 upstream changelogs.
  * d/NEWS.html: Update for 16, the test file NEWS.gcc is still for 15.
  * d/p/ada-tv_nsec-size.diff: Update for 16. Upstream status?
  * d/copyright*: Update download locations.
  * Override so wrong lintian error about size of Binary field length.
  * Disabled profiled build on i386, see PR ada/122934.
  * Update libhwasan, liblsan, libtsan and libubsan symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Dec 2025 16:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
   gperf, bison, flex,
   gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools-21 [amd64],
   texinfo, locales-all, sharutils,
-  procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
+  procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, libxml2-dev [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386], cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
-  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, python3-pytest [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, python3-check-jsonschema [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, coreutils, chrpath, lsb-release, quilt, time,
+  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, python3-pytest [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, python3-check-jsonschema [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, chrpath, lsb-release, quilt, time,
   pkgconf, libgc-dev,
   g++-16-for-host <cross>, gobjc-16-for-host [!avr] <cross>, gfortran-16-for-host <cross>, gdc-16-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-16-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-16-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-16-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-16-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-16-for-host <cross>,
 Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
@@ -225,6 +225,3 @@
 Recommends: ${dep:libcdev}
 Suggests: gcc-16-doc (>= ${gcc:SoftVersion}),
  gcc-16-locales (>= ${gcc:SoftVersion}),
-Provides: c-compiler-alpha-linux-gnu
-Description: GNU C compiler for the alpha-linux-gnu architecture
- This is the GNU C compiler for the alpha-linux-gnu architecture,

## gcc-16 16-20251210

=== debian/changelog ===
gcc-16 (16-20251210-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20251210).
  * Don't rely on python3-check-jsonschema for testing, still having
    unpackaged dependencies.
  * Disable profiled build on powerpc for now.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Dec 2025 12:13:23 +0100

## gcc-16 16-20251214

=== debian/changelog ===
gcc-16 (16-20251214-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20251214).
  * Log the available disk space for the build.
  * Disable cobol for cross builds for now. Requires a libxml2 build
    for the target.
  * Build liblsan and libtsan on s390x.
  * Work-around the 80GB chroot size on the Ubuntu buildds.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Dec 2025 11:03:15 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
   texinfo, locales-all, sharutils,
   procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, libxml2-dev [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386], cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
-  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, python3-pytest [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, python3-check-jsonschema [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, chrpath, lsb-release, quilt, time,
+  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, chrpath, lsb-release, quilt, time,
   pkgconf, libgc-dev,
   g++-16-for-host <cross>, gobjc-16-for-host [!avr] <cross>, gfortran-16-for-host <cross>, gdc-16-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-16-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-16-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-16-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-16-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-16-for-host <cross>,
 Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
@@ -225,3 +225,5 @@
 Recommends: ${dep:libcdev}
 Suggests: gcc-16-doc (>= ${gcc:SoftVersion}),
  gcc-16-locales (>= ${gcc:SoftVersion}),
+Provides: c-compiler-alpha-linux-gnu
+Description: GNU C compiler for the alpha-linux-gnu architecture

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Build rules for gcc (>= 2.95) and gcc-snapshot
# Targets found in this makefile:
#	- unpack tarballs
#	- patch sources
#	- (re)create the control file
#	- create a debian/rules.parameters file, which is included
#	  by debian/rules2
# All other targets are passed to the debian/rules2 file

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES

default: build

include debian/rules.defs
include debian/rules.unpack
include debian/rules.patch

control: $(control_dependencies)
	@echo "Build environment: derivative=$(derivative), release=$(distrelease)"
	-mkdir -p $(stampdir)
	$(MAKE) -f debian/rules.conf $@

configure: control $(unpack_stamp) $(patch_stamp)
	$(MAKE) -f debian/rules2 $@

pre-build:
# no backport support for these releases ..., keep conditionals for
# Debian: jessie stretch buster bullseye ...
# UBuntu: precise trusty xenial bionic focal groovy hirsute ...
ifneq (,$(filter $(distrelease),lenny squeeze wheezy hardy lucid))
	@echo explicitely fail the build for $(distribution)/$(distrelease) on $(DEB_TARGET_ARCH).
	@echo no bug report required. please figure out the back port yourself.
	false
endif
#ifeq ($(PKGSOURCE),gcc-16)
#  ifneq (,$(findstring native, $(build_type)))
#    ifneq (,$(findstring mips, $(TARGET_ALIAS)))
#	@echo "native compiler for $(TARGET_ALIAS) not built from this source."
#	@echo "See https://lists.debian.org/debian-gcc/2021/05/msg00011.html"
#	false
#    endif
#  endif
#endif

build: pre-build control
	$(MAKE) $(NJOBS) -f debian/rules2 $@
build-arch: pre-build control
	$(MAKE) $(NJOBS) -f debian/rules2 $@
build-indep: pre-build control
	DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrap nohppa64 nonvptx nocheck nopgo nolto" \
	    $(MAKE) $(NJOBS) -f debian/rules2 $@

check: $(check_stamp)
$(check_stamp): $(build_stamp)
	$(MAKE) -f debian/rules2 $@

clean:
	rm -rf $(stampdir)
# remove temporary dirs used for unpacking
	rm -rf $(gcc_srcdir) $(gdc_srcdir) $(newlib_srcdir) $(binutils_srcdir)
	-$(MAKE) -f debian/rules2 $@
	rm -rf $(srcdir)* $(builddir)* debian/tmp* html
	rm -f bootstrap-* test-protocol* first-move-stamp
	rm -f debian/*.tmp
	rm -f debian/soname-cache
	find debian -name '.#*' | xargs -r rm -f
	rm -f $(series_file)*
	rm -rf .pc
	dh_clean

install:
	$(MAKE) -f debian/rules2 $@

html-docs doxygen-docs update-doxygen-docs update-ada-files xxx:
	$(MAKE) -f debian/rules2 $@

binary-arch binary: build-arch
	$(MAKE) -f debian/rules2 $@

binary-indep: build-indep
	DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrap nohppa64 nonvptx nocheck nopgo nolto" \
	    $(MAKE) -f debian/rules2 $@

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

release:
	foo=$(shell basename $(CURDIR)); \
		if [ "$$foo" != "gcc-3.4" ]; then \
			find -name CVS -o -name .cvsignore -o -name '.#*' | \
				xargs rm -rf; \
		fi

.NOTPARALLEL:
.PHONY: build clean binary-indep binary-arch binary release

## gcc-16 16-20260119

=== debian/changelog ===
gcc-16 (16-20260119-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260119).
  * lib*gcc-N-dev: Install lib{atomic,gcc_s}_asneeded linker scripts.
  * Import updated sanitizer symbols files from GCC 15.
  * Enable PAC/BTI/GCS on arm64 for libgfortran (Emanuele Rocca).
    Closes: #1123084.
  * Don't complain about missing gccrs and gcobc man pages.
  * Stop building multilibs for s390x. Closes: #1125359.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2026 10:29:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.7.2
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>,
-  libc6.1-dev (>= 2.23-1~) [alpha ia64] | libc0.3-dev (>= 2.23-1~) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.23-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 sparc sparc64 x32] <!cross>,
+  libc6.1-dev (>= 2.23-1~) [alpha ia64] | libc0.3-dev (>= 2.23-1~) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.23-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
   linux-libc-dev [m68k],
   m4, libtool, autoconf2.69,
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
@@ -134,7 +134,7 @@
 
 Package: lib32gcc-s1
 X-DH-Build-For-Type: target
-Architecture: amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
+Architecture: amd64 ppc64 sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
 Section: libs
 Depends: gcc-16-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
 Conflicts: ${confl:lib32}
@@ -147,7 +147,7 @@
 
 Package: lib32gcc-16-dev
 X-DH-Build-For-Type: target
-Architecture: amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
+Architecture: amd64 ppc64 sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
 Section: libdevel
 Recommends: ${dep:libcdev}
 Depends: gcc-16-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
@@ -167,7 +167,7 @@
 Depends: gcc-16-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
 Breaks: libn32gcc1 (<< 1:10)
 Replaces: libn32gcc1 (<< 1:10)
-Conflicts: lib32gcc-s1 [amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mipsn32r6 mipsn32r6el]
+Conflicts: lib32gcc-s1 [amd64 ppc64 sparc64 x32 mipsn32 mipsn32el mipsn32r6 mipsn32r6el]
 Description: GCC support library (n32)
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or
@@ -227,3 +227,4 @@
  gcc-16-locales (>= ${gcc:SoftVersion}),
 Provides: c-compiler-alpha-linux-gnu
 Description: GNU C compiler for the alpha-linux-gnu architecture
+ This is the GNU C compiler for the alpha-linux-gnu architecture,

## gcc-16 16-20260203

=== debian/changelog ===
gcc-16 (16-20260203-2) experimental; urgency=medium

  * Apply proposed patch for PR d/123953, fixing ftbfs on ppc64le.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Feb 2026 18:10:04 +0100

gcc-16 (16-20260203-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260203).
  * Update newlib to 4.6.0.20260123.
  * Allow configuring libxml2 include and lib directories.
  * Build-depend on libxml2-source for the cross builds, and generate
    Built-Using for libgcobol built using libxml2-source.
  * Update libga68 and libgcobol symbols files.
  * d/tests/control: Update dependencies for 16 (Michael R. Crusoe).
    Closes: #1126131.
  * Add again build dependency on python3-check-jsonschema, needed for tests.
  * Fix D #22463: SOURCE_DATE_EPOCH parsing incorrectly affected by system
    timezone. Addresses: #1126512.
  * Add the results of the usage-wrapper into the binary packages.
  * Require 6GB memory/CPU for Ubuntu/riscv64 builds. Failing builds without
    build logs.
  * Refresh patches.
  * Update libgphobos7 symbols file for amd64.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Feb 2026 12:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
   m4, libtool, autoconf2.69,
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
   gawk, lzma, xz-utils, patchutils,
-  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any],
+  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], python3:any, python3-psutil [!alpha !hppa !ia64 !m68k !mipsel !mips64el !sh4 !sparc64 !x32 !hurd-amd64 !hurd-i386], python3-matplotlib [!alpha !hppa !ia64 !m68k !mipsel !mips64el !sh4 !sparc64 !x32 !hurd-amd64 !hurd-i386],
   binutils:native (>= 2.39), binutils-hppa64-linux-gnu:native (>= 2.39) [hppa amd64 i386 x32],
   gperf, bison, flex,
   gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools-21 [amd64],
   texinfo, locales-all, sharutils,
   procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, libxml2-dev [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386], cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
-  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, chrpath, lsb-release, quilt, time,
+  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, python3-pytest [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, python3-check-jsonschema [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, chrpath, lsb-release, quilt, time,
   pkgconf, libgc-dev,
   g++-16-for-host <cross>, gobjc-16-for-host [!avr] <cross>, gfortran-16-for-host <cross>, gdc-16-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-16-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-16-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-16-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-16-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-16-for-host <cross>,
 Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
@@ -221,10 +221,3 @@
 Depends: cpp-16-alpha-linux-gnu (= ${gcc:Version}), gcc-16-base (= ${gcc:Version}),
     ${dep:libcc1},
   binutils-alpha-linux-gnu (>= ${binutils:Version}),
-  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${dep:libcdev}
-Suggests: gcc-16-doc (>= ${gcc:SoftVersion}),
- gcc-16-locales (>= ${gcc:SoftVersion}),
-Provides: c-compiler-alpha-linux-gnu
-Description: GNU C compiler for the alpha-linux-gnu architecture
- This is the GNU C compiler for the alpha-linux-gnu architecture,

## gcc-16 16-20260207

=== debian/changelog ===
gcc-16 (16-20260207-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260207).
  * Update sh4 LRA patches (Adrian Glaubitz). Closes: #1126958.
  * Build again gnat cross compiler for sh4.
  * Update libcc1 and libgphobos symbols files.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Feb 2026 11:25:14 +0100

=== debian/tests/control ===
Tests: runtime-libs
Depends: apt, python3-minimal
Restrictions: allow-stderr

Tests: libc-link
Depends: gcc-16, libc6-dev | libc-dev

Tests: libstdcxx-link
Depends: g++-16

Tests: libgfortran-link
Depends: gfortran-16

Tests: libgo-link
Depends: gccgo-16

Tests: libgomp-link
Depends: gfortran-16, gcc-16

Tests: libgm2-link
Depends: gm2-16

Tests: libgnat-link
Depends: gnat-16

Tests: libgcobol-link
Architecture: arm64 amd64
Depends: gcobol-16

Tests: libga68-link
Depends: ga68-16

Tests: libgphobos-link
Depends: gdc-16
Architecture: !powerpc !ppc64 !ppc64el

Tests: shlib-build
Depends: gcc-16, libc6-dev | libc-dev
